%define upstream_name    Crypt-PKCS10
%define upstream_version 1.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Parse PKCS #10 certificate requests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Convert::ASN1) >= 0.270.0
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Pod::Readme) >= 0.110.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(bytes)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Crypt::PKCS10 parses PKCS #10 requests and provides accessor methods to
extract the requested data. First, the request will be parsed using the
included ASN.1 definition. Common object identifiers will be translated to
their corresponding names. Additionally, accessor methods allow to extract
single data fields. Bit Strings like signatures will be printed in their
hexadecimal representation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc BUILD Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.500.0-2.mga6
+ Revision: 1024564
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.500.0-1.mga6
+ Revision: 1001752
- New version 1.5

* Sun Jan 17 2016 buchan <buchan> 1.300.0-1.mga6
+ Revision: 924926
- imported package perl-Crypt-PKCS10


* Mon Jan 11 2016 buchan 1.3-1mga
- initial mageia release, generated with cpan2dist
